# Function decodeVariable

- decodeVariable(definition, pointer, info, compilationId): Generator<DecoderRequest, Result, Uint8Array>

- #### Parameters

  - ##### definition: AstNode

  - ##### pointer: DataPointer

  - ##### info: EvmInfo

  - ##### compilationId: string

  #### Returns Generator<DecoderRequest, Result, Uint8Array>

  #### Category

  Decoding

  - Defined in codec/lib/core.ts:34

Generated using TypeDoc